# Generated by Django 5.2.1 on 2025-01-16 12:00

import django.core.validators
import django.db.models.deletion
from decimal import Decimal
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('credits', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Name of the service', max_length=100, unique=True, verbose_name='name')),
                ('description', models.TextField(help_text='Description of what this service does', verbose_name='description')),
                ('credit_cost', models.DecimalField(decimal_places=2, help_text='Number of credits required to use this service', max_digits=10, validators=[django.core.validators.MinValueValidator(Decimal('0.01'))], verbose_name='credit cost')),
                ('is_active', models.BooleanField(default=True, help_text='Whether this service is currently available for use', verbose_name='is active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated at')),
            ],
            options={
                'verbose_name': 'service',
                'verbose_name_plural': 'services',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='ServiceUsage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('credit_transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='service_usage', to='credits.credittransaction', verbose_name='credit transaction')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='usages', to='credits.service', verbose_name='service')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='service_usages', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': 'service usage',
                'verbose_name_plural': 'service usages',
                'ordering': ['-created_at'],
            },
        ),
        migrations.AddIndex(
            model_name='serviceusage',
            index=models.Index(fields=['user', '-created_at'], name='credits_ser_user_id_f82c84_idx'),
        ),
        migrations.AddIndex(
            model_name='serviceusage',
            index=models.Index(fields=['service', '-created_at'], name='credits_ser_service_5b8f57_idx'),
        ),
    ] 